%define name  busyhot
%define version 1.1
%define release %mkrel 1

Summary:    Monitor cpu loading and temperature
Name:       %{name}
Version:    %{version}
Release:    %{release}
License:    GPLv3
Group:      Monitoring
Source:     http://kornelix.squarespace.com/busyhot/%{name}-%{version}.tar.xz
URL:        http://kornelix.squarespace.com/busyhot/
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  gtk2-devel GConf-devel libpanel-applet-2_2-devel freetype-devel
Requires:   gnome-panel
Obsoletes:  %name < %version




%description
Show CPU load (sum of processor cores) and the min-max range of 
core temperatures in a small panel window updated every second. 
Optionally display a popup window containing the CPU load and 
temperature of each processor core, updated every second. 

%prep
%setup -q

%build


%make 


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%_libdir/gnome-applets
install -m 755 %{name} %{buildroot}%_libdir/gnome-applets

mkdir -p %{buildroot}%_libdir/bonobo/servers
install -m 644 GNOME_busyhot.server %{buildroot}%_libdir/bonobo/servers

mkdir -p %{buildroot}%_datadir/pixmaps
install -m 644 busyhot.png %{buildroot}%_datadir/pixmaps


%clean
rm -rf %{buildroot}



%files
%defattr(-,root,root)
%doc doc/*
%_libdir/bonobo/servers/GNOME_busyhot.server
%_libdir/gnome-applets/busyhot
%_datadir/pixmaps/busyhot.png

%changelog
* Thu Jun 10 2010 slick50 <lxgator@gmail.com> 1.1-1pclos2010
- 1.1

* Tue Dec 22 2009 slick50 <lxgator@gmail.com> 1.0-1pclos2010
- initial pkg
